/merchant/invoicesList Invoices
getMerchantInvoicesV1https://a-api.coinpayments.net/api/v1/merchant/invoicesRequest
query parametersstatusunknownqueryoptional query to fetch invoices that were created with the specific client
fromstringqueryoptional query to fetch from and including the time specified up to the current time
date-timetostringqueryoptional query to fetch all invoices up to and including the specified time
date-timeqstringqueryoptional search string to find invoices with these words
integrationstringqueryoptional integration by which the invoice was created
payoutWalletIdstringqueryoptional query to filter the invoices by the wallet they were paid out to (for 'paid' and 'completed' invoices)
afterstringquerycursor that points to the end of the page of data that has been returned
limitintegerquerythe maximum number of objects that may be returned, the query may return fewer results than the requested maximum. If `after` is specified then `limit` specifies the number of items to return starting from `after`. If not specified then `limit` specifies the number of items to return from the beginning.
int32Responses
200 · 401 · 403Represents a data transfer object containing a paged collection of merchant invoice summaries.
idstringthe CoinPayments id for the invoice
invoiceIdstringnullablethe optional API caller provided external invoice number. Appears in screens shown to the Buyer and emails sent.
invoiceIdSuffixstringnullablethe optional numeric suffix for the CoinPayments.Services.Merchants.Dtos.MerchantInvoiceSummaryDto.InvoiceId. Used when the invoice is emailed to multiple customers
createdstringthe timestamp when the invoice entity was created
date-timeinvoiceDatestringthe date of the invoice, either the system created date or custom date specified by the merchant
date-timedueDatestringnullableoptional due date of the invoice
date-timeconfirmedstringnullablethe timestamp when the invoice was confirmed (paid)
date-timecompletedstringnullablethe timestamp when the invoice was completed (paid out to the merchant and CoinPayments fees)
date-timecancelledstringnullablethe timestamp when the invoice was manually cancelled. Applicable for payment invoices only
date-timecurrencyunknownnullablethe currency the invoice is in
buyerunknownnullablethe buyer information
descriptionstringnullablethe purchase description
amountunknownnullablethe total amount of the invoice
shippingunknownnullablethe shipping info
statusunknownthe status of the invoice (including payments received and payments confirmed)
metadataunknownnullablethe invoice metadata, the integration where the invoice was created
expectedAmountunknownExpected invoice amount in payment currency
nativeExpectedAmountunknownExpected invoice amount in merchant's native currency (e.g. 'USD', 'EUT', etc.)
actualAmountunknownConfirmed invoice amount in payment currency
nativeActualAmountunknownConfirmed invoice amount in merchant's native currency (e.g. 'USD', 'EUT', etc.)
paymentAddressstringnullableInvoice payment address
errorCodeunknownnullableSettlement error code. See CoinPayments.Common.InvoicePaymentHotWallets.Enums.InvoicePaymentSettlementModeErrorModel
feesunknownPayment-related fees
nativeFeesunknownPayment-related fees in merchant's native currency
payoutunknownnullableRepresents a summarized data transfer object for a merchant payout, containing information such as payout scheduling, completion details, associated blockchain transactions, wallet identifiers, and execution timelines.
nativePayoutunknownnullableThe same info as in CoinPayments.Services.Merchants.Dtos.MerchantPaymentSummaryDto.Payout but in merchant's native currency (e.g. 'USD', 'EUT', etc.)
refundEmailstringnullableBuyer's email to receive a refund link
stateunknownCurrent payment state
isActivebooleanShows whether the payment is active or not
pendingAtstringnullableThe date and time when the payment received money from a buyer
date-timeconfirmedAtstringnullableThe date and time when payment received all expected money from a buyer
date-timecompletedAtstringnullableThe date and time when the merchant received payout
date-timeconfirmationsintegerCurrent confirmation on buyer's tx
int32requiredConfirmationsintegerRequired confirmations on buyer's tx
int32buyerTxIdsstring[]Array of received tx ids from a buyer
buyerTxSpendRequestIdsstring[]Array of received tx `spendRequestId`. These ids are used only for internal transactions
buyerTxHashesstring[]Buyer's tx hashes from a blockchain
isEmailDeliverybooleanindicates if invoice was delivered or to be delivered by email
emailDeliveryunknownnullablethe email delivery options of this invoice
notesstringnullableAdditional information or remarks about the invoice.
notesToRecipientstringnullableNotes provided by the merchant or sender to be communicated to the recipient of the invoice.
partialAcceptAvailablebooleanIndicates whether partial acceptance of payments by a merchant is available for the invoice.
isLifeTimeFinishedbooleanIndicates whether the lifetime of the invoice has ended (Cancelled, Completed, Expired, etc.).
expiresstringnullableThe expiration date and time for the invoice
date-timefromCurrencystringThe buyer selected currency
toCurrencystringthe currency of the wallet or address into which to payout to
addressstringthe external address into which to pay out
frequencyunknownthe frequency of payments into merchant wallets for the current payment currency
customDataobjectnullableA dictionary that holds merchant's custom key-value pairs associated with the invoice.
merchantClientIdstringnullableThe merchant client (integration) the invoice was created for, if any. Used by the CSV export to name the integration of every row; null means the invoice belongs to the primary balance.
uuidpagingunknownnullable